All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::IndexWrapper< GpuIndex > Struct Template Reference

## Public Member Functions

| IndexWrapper (int numGpus, std::function< std::unique_ptr< GpuIndex >(GpuResources *, int)> init)
faiss::Index * | getIndex ()
void | runOnIndices (std::function< void(GpuIndex *)> f)
void | setNumProbes (int nprobe)

## Public Attributes

std::vector< std::unique_ptr < faiss::gpu::StandardGpuResources > > | resources
std::vector< std::unique_ptr < GpuIndex > > | subIndex
std::unique_ptr < faiss::gpu::IndexProxy > | proxyIndex

## Detailed Description

### template<typename GpuIndex>
struct faiss::gpu::IndexWrapper< GpuIndex >

Definition at line 24 of file IndexWrapper.h.

The documentation for this struct was generated from the following files:

- /tmp/faiss/gpu/perf/IndexWrapper.h
- /tmp/faiss/gpu/perf/IndexWrapper-inl.h